import 'package:apply/core/framework.dart';
import 'package:apply/core/plugin.dart';
import 'package:apply/core/range.dart';
import 'package:apply/elements/element_class.dart';

class AspectRatioP extends Plugin {
  final List<Range> ranges = [
    Range(RegExp(r"^aspect-\d{1,3}/\d{1,3}$"), 1),
  ];
  final String id = "aspectRatio";

  AspectRatioP([String? value]) {
    addValue(value);
  }

  @override
  AspectRatioP createInstance(ElementClass elementClass) => AspectRatioP(elementClass.value);

  double getValues() {
    var parts = values["aspect"]!.asString().split("/");
     var pair = Pair(double.parse(parts[0]), double.parse(parts[1]));
     return pair.first! / pair.last!;
  }
}
