import 'package:apply/core/plugin.dart';
import 'package:apply/core/range.dart';
import 'package:apply/elements/element_class.dart';

class Width extends Plugin {
  final List<Range> ranges = [
    Range(RegExp(r"^w-\d{1,3}$"), 1),
    Range(new RegExp(r"^w-0\.\d{1,3}$"), 11),
  ];
  final String id = "width";

  Width([String? value]) {
    addValue(value);
  }

  @override
  Width createInstance(ElementClass elementClass) => Width(elementClass.value);

  double getWidth() {
    var value = values.values.last;
    if (value.range == 11) {
      double width = double.parse("0.${value.value.split("w-0.").last}");
      return width;
    }
    double width = value.asDouble();
    return width;
  }
}
